namespace View_by_Distance.Shared.Models.Stateless.Methods;

public interface IDate
{

    (bool?, string[]) TestStatic_IsWrongYear(string[] segments, string year) =>
        IsWrongYear(segments, year);
    static (bool?, string[]) IsWrongYear(string[] segments, string year) =>
        XDate.IsWrongYear(segments, year);

    (int Season, string seasonName) TestStatic_GetSeason(int dayOfYear) =>
        GetSeason(dayOfYear);
    static (int Season, string seasonName) GetSeason(int dayOfYear) =>
        XDate.GetSeason(dayOfYear);

}